Bug 73034 - FILESAVE: There is extra spacing in document due to default <rPr> is getting removed from <pPr>
Summary: FILESAVE: There is extra spacing in document due to default <rPr> is getting ...
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Rohit Deshmukh
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-26 06:13 UTC by Rohit Deshmukh
Modified: 2020-06-27 17:03 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Original file (11.38 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-12-26 06:13 UTC, Rohit Deshmukh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rohit Deshmukh 2013-12-26 06:13:20 UTC
Created attachment 91189 [details]
Original file

Steps to reproduce:

Open file in LibreOffice
Click File -> Save As (.docx)

Current behavior:
Crashing on every save.

Expected behavior:
Creating the file correctly
Comment 1 Rohit Deshmukh 2013-12-26 09:16:06 UTC
Steps to reproduce:

Open file in LibreOffice
Click File -> Save As (.docx)

Current behavior:
Extra space gets added is gettind added in saved file
Comment 2 Julien Nabet 2013-12-26 16:46:15 UTC
On pc Debian x86-64 with master sources updated today, no crash here.
I only noticed this during saving:
warn:legacy.osl:24967:1:sw/source/filter/ww8/wrtww8.cxx:663: Where is my ItemSet / pChpIter ?
warn:legacy.osl:24967:1:basic/source/basmgr/basicmanagerrepository.cxx:581: ImplRepository::_disposing: where does this come from?
warn:legacy.osl:24967:1:unotools/source/config/configmgr.cxx:167: OSL_ASSERT: items_.empty()

No crash with 4.2 sources updated yesterday.
No crash with 4.1.3.2 Debian package version.

Rohit: could you indicate LO version and platform? Do you reproduce this with a brand new LO profile (rename yours), see https://wiki.documentfoundation.org/UserProfile ?
Comment 3 Commit Notification 2014-01-08 09:17:50 UTC
Rohit Deshmukh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5201aa548165fb043b367fd58c647696942ae8df

fdo#73034: Fix for Extra spacing in document.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 retired 2014-01-08 09:42:25 UTC
Setting to ASSIGNED. Rohit please update, if your commit actually fixed this bug.
Comment 5 mostcarl 2020-03-14 04:10:18 UTC
Nice to see this post here and thanks for sharing this to us. https://tcswebmail.vip
Comment 6 Niha 2020-05-31 06:11:19 UTC
 This is not a forum for everyone, it mainly deals with the computer-related issues and the reproducing the issues and helps to provide a perfect solution. This is preferred by the developers and all the IT people who are concerned with the issues regarding the LibreOffice https://www.3gnetworkrepeater.eu
Comment 7 Mounika333 2020-06-27 16:13:58 UTC
Nice to see this post here and thanks for sharing this to us... https://techfactss.com/how-to-get-chegg-answers-free/